/* ===== COLOURS =======*/
/*====== FONTS ========*/
/*======== Vals ========*/
/*======= ASSIGN VARS ========*/
/*=== COPY ABOVE TO ALL LESS FILES =====*/
/*======= START PROPER =======*/
html,
body {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
  scroll-behavior: smooth;
}
body * {
  box-sizing: border-box;
}
.main-container {
  max-width: 1024px;
  margin: auto;
  text-align: center;
  min-height: 90vh;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
  font-family: 'Roboto', sans-serif;
}

.instructions{ 
	position: fixed;
	top: 50%;
	left: 20px;
	text-align: left;
	font-size: 12px;
}
#recordDisplay, #sentenceDisplay{
	position: fixed;
	top: 25%;
	left: 20px;
}
#sentenceDisplay{ top: 30%;}

input:checked + ul{
	padding-left: 10px;
	display: block;
}
ul {
	display: none;
}
.footer_content{
    max-width:1280px;
    margin: auto;
}
footer{
	color: white;
	background-color: #0C5E70;
	position: relative;
	margin-top: 30px;
	flex-shrink: 0;
}
.contact{
    padding: 20px 0; 
}
.contact_body{
    font-size: 20px;
    font-family:'Poppins', sans-serif;
		display: flex;
		justify-content: center;
}
.contact_body a{
	color: white;
	text-decoration: none;
	padding: 20px;
}
.contact_body a:hover{
	color: lightskyblue;
	transition: 0.25s;
}
.contact img{
	height: 1.5em;
	filter: invert(100%);
	vertical-align: middle;
}

/* width */
::-webkit-scrollbar {
  width: 15px;
}
/* Track */
::-webkit-scrollbar-track {
  background: #f1f1f1;
}
/* Handle */
::-webkit-scrollbar-thumb {
  background: #888;
}
::-webkit-scrollbar-thumb:hover {
  background: #555;
}
svg {
  display: block;
  margin: 0 auto;
  width: 200px;
  height: 200px;
}
use {
  fill: white;
}
use:nth-of-type(2) {
  animation: spin 4.7s linear 0.05s infinite alternate;
}
use:nth-of-type(1) {
  animation: spin 4.7s linear infinite alternate;
}
use:nth-of-type(4) {
  animation: spin 5.3s cubic-bezier(0.46, 0.76, 0.53, 0.24) 0.05s infinite;
}
use:nth-of-type(3) {
  animation: spin 5.3s cubic-bezier(0.46, 0.76, 0.53, 0.24) infinite;
}
use:nth-of-type(6) {
  animation: spin 8.3s linear 0.05s infinite;
}
use:nth-of-type(5) {
  animation: spin 8.3s linear infinite;
}
use:nth-of-type(1) {
  fill: white;
}
use:nth-of-type(2) {
  fill: white;
}
use:nth-of-type(3) {
  fill: white;
}
@keyframes spin {
  0% {
    transform: rotate(0deg);
    fill: white;
  }
  50% {
    transform: rotate(180deg);
    fill: rgb(250, 250, 250);
  }
  100% {
    transform: rotate(360deg);
    fill: white;
  }
}

.text-container{
	display: flex;
	flex-wrap: wrap;
	flex-direction: column;
	align-items: center;
}
textarea, button{
	margin: 3px;
}
textarea{
	height:100px;
	width: 500px;
	font-family: 'Roboto', sans-serif;
}
table#result, #result th, #result td{
  border: 1px solid black;
	text-align: left;
	width: fit-content;
	margin: 20px;
	min-width: 150px;
	color: black;
}

#result td:nth-child(n+3), #result th:nth-child(n+3){
	min-width: 0;
}

#result td, #result th{
	padding: 5px;
	font-size: 20px;
	height: 33px;
	user-select: none;
}

#result tr{
	background-color: white;
}
#result th{
	background-color: white;
}
#result tr.mismatch{	background-color: yellow; }
#result tr.ablank{	background-color: orange; }
#result #active{
	background-color: lightblue;
}
#result tr.mismatch #active{
	background-color: skyblue;
}
#recordDisplay{
	font-size: 20px;
}


header{
	background: #0C5E70;
	font-size: 18px;
	width: 100%;
	margin: 0 0 35px;
	position: sticky;
	top:0;
}
.nav_bar{
	display: flex;

}
header a{
	text-decoration: none;
	color: white;
	font-family: 'Atkinson Hyperlegible', sans-serif;
	font-family: 'Poppins', sans-serif;
	/* font-weight: bold; */
	letter-spacing: 0.025em;
	padding: 20px;
}
header a:hover{
color: lightskyblue;
transition: 0.25s;
}
.header_container{
	display: flex;
	justify-content: center;
	max-width: 1280px;
	margin: auto;
}
.splash{
	color:#0C5E70;
	font-size: 64px;
	font-family: 'Atkinson Hyperlegible', sans-serif;
	font-family: 'Poppins', sans-serif;
	font-weight: 600;
	letter-spacing: 0.025em;
	width: 100%;
	text-align: center;

	margin: 0 0 35px;
}
.subheading{
	font-size:28px;
}
.footnote{
	display: flex;
	align-items: center;
	border: 1px teal solid;
	padding: 4px 10px 4px 7px;
	border-radius: 5px;
	font-size: 11px;
	text-decoration: none;
}
.github-logo{
	height: 15px;
}